Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.wml
Interface WMLCardElement

All Superinterfaces:
  Element, Node, WMLElement

All Known Implementing Classes:
  WMLCardElementImpl

Deprecated. 9.2.0.0 Replaced by org.apache.wml.WMLCardElement.

    public interface WMLCardElement

extends WMLElement

The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

'card' element is the basic display unit of WML. A WML decks contains a collection of cards. (Section 11.5, WAP WML Version 16-Jun-1999)

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`boolean` | `getNewContext()` Deprecated.
`String` | `getOnEnterBackward()` Deprecated.
`String` | `getOnEnterForward()` Deprecated.
`String` | `getOnTimer()` Deprecated.
`boolean` | `getOrdered()` Deprecated.
`String` | `getTitle()` Deprecated.
`String` | `getXmlLang()` Deprecated.
`void` | `setNewContext(boolean newValue)` Deprecated. 'newcontext' specifies whether a browser context should be re-initialized upon entering the card.
`void` | `setOnEnterBackward(String href)` Deprecated. 'onenterbackward' specifies the event to occur when a user agent into a card using a 'go' task (Section 11.5.1, WAP WML Version 16-Jun-1999)
`void` | `setOnEnterForward(String href)` Deprecated. 'onenterforward' specifies the event to occur when a user agent into a card using a 'prev' task (Section 11.5.1, WAP WML Version 16-Jun-1999)
`void` | `setOnTimer(String href)` Deprecated. 'onenterbackward' specifies the event to occur when a timer expires (Section 11.5.1, WAP WML Version 16-Jun-1999)
`void` | `setOrdered(boolean newValue)` Deprecated. 'ordered' attribute specifies a hit to user agent about the organization of the card's content (Section 11.5.2, WAP WML Version 16-Jun-1999)
`void` | `setTitle(String newValue)` Deprecated. 'title' specifies a advisory info about the card (Section 11.5.2, WAP WML Version 16-Jun-1999)
`void` | `setXmlLang(String newValue)` Deprecated. 'xml:lang' specifics the natural or formal language in which the document is written.

Methods inherited from interface weblogic.apache.wml.WMLElement
`getClassName, getId, setClassName, setId`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### setOnEnterBackward

    void setOnEnterBackward(String href)

  Deprecated.
  'onenterbackward' specifies the event to occur when a user agent into a card using a 'go' task (Section 11.5.1, WAP WML Version 16-Jun-1999)

### getOnEnterBackward

    String getOnEnterBackward()

  Deprecated.

### setOnEnterForward

    void setOnEnterForward(String href)

  Deprecated.
  'onenterforward' specifies the event to occur when a user agent into a card using a 'prev' task (Section 11.5.1, WAP WML Version 16-Jun-1999)

### getOnEnterForward

    String getOnEnterForward()

  Deprecated.

### setOnTimer

    void setOnTimer(String href)

  Deprecated.
  'onenterbackward' specifies the event to occur when a timer expires (Section 11.5.1, WAP WML Version 16-Jun-1999)

### getOnTimer

    String getOnTimer()

  Deprecated.

### setTitle

    void setTitle(String newValue)

  Deprecated.
  'title' specifies a advisory info about the card (Section 11.5.2, WAP WML Version 16-Jun-1999)

### getTitle

    String getTitle()

  Deprecated.

### setNewContext

    void setNewContext(boolean newValue)

  Deprecated.
  'newcontext' specifies whether a browser context should be re-initialized upon entering the card. Default to be false. (Section 11.5.2, WAP WML Version 16-Jun-1999)

### getNewContext

    boolean getNewContext()

  Deprecated.

### setOrdered

    void setOrdered(boolean newValue)

  Deprecated.
  'ordered' attribute specifies a hit to user agent about the organization of the card's content (Section 11.5.2, WAP WML Version 16-Jun-1999)

### getOrdered

    boolean getOrdered()

  Deprecated.

### setXmlLang

    void setXmlLang(String newValue)

  Deprecated.
  'xml:lang' specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)

### getXmlLang

    String getXmlLang()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD